Bug 786367 - Wrong fs type for bricks on root partition in distos like Fedora,RHEL
Wrong fs type for bricks on root partition in distos like Fedora,RHEL
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vivek Agarwal
Rahul Hinduja
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-01 03:34 EST by Rajesh
Modified: 2016-02-17 19:02 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:14:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa45-1.el6.x86_64
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajesh 2012-02-01 03:34:54 EST
Description of problem:
$gluster volume status vol misc-details
this give rootfs as file system if brick is in root partition

Also, change "misc-details" option to just "detail"
Allow "all" to be specified for status options; currently,
"gluster volume status all misc-details" wont work.

Version-Release number of selected component (if applicable):
mainline (3.3)
Comment 1 Anand Avati 2012-02-18 03:03:06 EST
CHANGE: http://review.gluster.com/2705 (cli/glusterd: volume status modification) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2012-03-31 07:50:26 EDT
CHANGE: http://review.gluster.com/3033 (glusterd: Used runner's RUN_PIPE to get inode size in xfs/ext3/ext4) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Gowrishankar Rajaiyan 2012-06-01 02:05:15 EDT
[root@dhcp201-221 ~]# gluster volume status test1 detail
Status of volume: test1
------------------------------------------------------------------------------
Brick                : Brick dhcp201-214.englab.pnq.redhat.com:/export/shanks/shanks1
Port                 : 24009               
Online               : Y                   
Pid                  : 4897                
File System          : ext4                
Device               : /dev/mapper/vg_dhcp201214-lv_root
Mount Options        : rw                  
Inode Size           : 256                 
Disk Space Free      : 9.0GB               
Total Disk Space     : 10.4GB              
Inode Count          : 693600              
Free Inodes          : 647709              
 
[root@dhcp201-221 ~]# 


[root@dhcp201-221 ~]# gluster volume status all detail
Status of volume: test1
------------------------------------------------------------------------------
Brick                : Brick dhcp201-214.englab.pnq.redhat.com:/export/shanks/shanks1
Port                 : 24009               
Online               : Y                   
Pid                  : 4897                
File System          : ext4                
Device               : /dev/mapper/vg_dhcp201214-lv_root
Mount Options        : rw                  
Inode Size           : 256                 
Disk Space Free      : 9.0GB               
Total Disk Space     : 10.4GB              
Inode Count          : 693600              
Free Inodes          : 647709      
...


Verified: glusterfs-3.3.0qa45-1.el6.x86_64

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.2 (Santiago)

Note You need to log in before you can comment on or make changes to this bug.